Subject: Re: [PATCH] sa1100ir - fix for 2.6

From: Jean Tourrilhes <[email-masked]>
Date: Fri, 5 Dec 2003 16:30:18 -0800

On Fri, Dec 05, 2003 at 03:06:01PM -0800, Stephen Hemminger wrote:
> Update the ARM SA1100 irda driver to current 2.6 network device model
>   * allocate network device with alloc_irdadev - get rid of dev_alloc
>   * change to current system device class model - looks like it was using early
>     old version of interface from 2.5
>   * better error unwind
> 
> This has been cross compiled successfully against net-drivers-2.5-exp

	I don't have the hardware, so I can't test that (and I'm not
familiar with sysfs). If you want, I can add that as part of my next
IrDA update (probably 2.6.1).
	Russel, if you do testing you may want to grab the "F-timer
fix" from my web page.
	Regards,

	Jean